%define name disable-builtin-repos
%define version 0.5
%define release 1_el8

Summary: Disable builtin distro repositories
Name: %{name}
Version: %{version}
Release: %{release}
License: public-domain
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
Obsoletes: disable-centos-repos

%description
The only job of this RPM is to disable the Rocky/Alma/CentOS
repositories found in the -release package.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cat > $RPM_BUILD_ROOT/usr/sbin/disable-builtin-repos <<EOF
#/bin/bash

shopt -s nullglob
sed -ri 's#enabled=.##;s#^(\[[^]]+\])#&\nenabled=0#' /etc/yum.repos.d/{CentOS,almalinux,Rocky,RHEL}*.repo  2>/dev/null
exit 0

EOF

%triggerin -- almalinux-release
/usr/sbin/disable-builtin-repos

%triggerin -- centos-linux-repos
/usr/sbin/disable-builtin-repos

%triggerin -- rocky-repos
/usr/sbin/disable-builtin-repos

%post
/usr/sbin/disable-builtin-repos

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,-,-)/usr/sbin/disable-builtin-repos
